Tuesday, December 30, 2008

Error: New Document Requires a Windows SharePoint Services-compatible application and Microsoft Internet Explorer 6.0 or greater

I started off with installing Microsoft Office SharePoint 2007 in my development environment. Just to be sure that I do have any bugs or issues, I installed MOSS and WSS SP1. When I started this blog, I created a category of “Office Integration”. On that basis, I tried creating a new site and in the document library uploaded a new Word 2007 document. I clicked on the document drop-down menu and tried to open the document in Microsoft Office Word application and got the following error message :

‘New Document’ requires a Windows SharePoint Services-compatible application and Microsoft Internet Explorer 6.0 or greater. To add a document to this document library, click on ‘Upload Document’ button

Error - WSS SharePoint Compatible 893698

Now I have checked the Office Version and the internet Explorer version and both were meeting the SharePoint requirements. IE was 6.0.1 and Office 2007 Enterprise Edition. I was a bit confused and did not know how to go ahead. Because, the basic Office applications were not integrated with SharePoint.

Here is what I did to resolve the issue:

1. Go to Add/Remove Programs and select Microsoft Office 2007 -> Click on the “Change” button

2. On the next screen select “Add or Remove Features” and click on the “Continue” button

3. On the next screen, select “Office tools” drop down. The problem here is that Windows SharePoint Services Support files are not installed with Office application. Thus, we need to select them Windows Sharepoint Services Support tools from the drop down and make sure that select “Run from My Computer” or “Run All from My Computer” options.

4. Allow the setup to complete

This should most probabaly do the trick. Even after doing the above things, you do not resolve the issue or if you are using another version of Office, I would request you to go to the following KB article and then resolve the issue as per the product version.


No comments: